curl --request POST \
--url https://api.augustus.com/v1/webhook_subscriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"url": "https://sandbox.example.com/webhooks/augustus",
"events": [
"payout.sent"
],
"metadata": {
"invoice_id": "INV-2026-0042"
}
}
'import requests
url = "https://api.augustus.com/v1/webhook_subscriptions"
payload = {
"url": "https://sandbox.example.com/webhooks/augustus",
"events": ["payout.sent"],
"metadata": { "invoice_id": "INV-2026-0042" }
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
url: 'https://sandbox.example.com/webhooks/augustus',
events: ['payout.sent'],
metadata: {invoice_id: 'INV-2026-0042'}
})
};
fetch('https://api.augustus.com/v1/webhook_subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "550e8400-e29b-41d4-a716-446655440009",
"type": "webhook_subscription",
"url": "https://sandbox.example.com/webhooks/augustus",
"events": [
"payout.sent"
],
"metadata": {
"invoice_id": "INV-2026-0042"
},
"created_at": "2026-01-15T10:30:00Z",
"updated_at": "2026-01-15T10:35:00Z"
}Create webhook subscription
Creates a new webhook subscription.
Authorizations
Bearer token for authentication with Augustus Banking API
Headers
Idempotency key for safe retries. Reusing a key with an identical request body returns the cached response. Reusing a key with a different body returns 409.
Body
Webhook subscription creation parameters
The HTTPS URL where webhook events will be delivered.
^https:\/\/.*"https://sandbox.example.com/webhooks/augustus"
Event types to subscribe to. Use ["*"] for all events.
1Event type to subscribe to. Use "*" for all events.
payout.initiated, payout.submitted, payout.sent, payout.failed, payout.returned, return.initiated, return.submitted, return.sent, return.failed, return.returned, deposit.settled, conversion.created, conversion.completed, conversion.failed, account_holder.active, account_holder.closed, counterparty.created, counterparty.verified, counterparty.rejected, counterparty.blocked, counterparty.unblocked, counterparty.updated, * ["payout.sent"]
Set of up to 50 key-value string pairs you can attach to store structured information, such as correlating this resource with an object in your own system. Keys may be up to 40 characters and values up to 500 characters.
Show child attributes
Show child attributes
{ "invoice_id": "INV-2026-0042" }
Response
Success
Unique identifier of the webhook subscription.
"550e8400-e29b-41d4-a716-446655440009"
Resource type discriminator.
webhook_subscription The HTTPS URL where webhook events are delivered.
"https://sandbox.example.com/webhooks/augustus"
Event types this subscription receives.
Event type the subscription receives.
payout.initiated, payout.submitted, payout.sent, payout.failed, payout.returned, return.initiated, return.submitted, return.sent, return.failed, return.returned, deposit.settled, conversion.created, conversion.completed, conversion.failed, account_holder.active, account_holder.closed, counterparty.created, counterparty.verified, counterparty.rejected, counterparty.blocked, counterparty.unblocked, counterparty.updated ["payout.sent"]
Set of up to 50 key-value string pairs you can attach to store structured information, such as correlating this resource with an object in your own system. Keys may be up to 40 characters and values up to 500 characters.
Show child attributes
Show child attributes
{ "invoice_id": "INV-2026-0042" }
ISO 8601 UTC timestamp when the subscription was created.
"2026-01-15T10:30:00Z"
ISO 8601 UTC timestamp when the subscription was last updated.
"2026-01-15T10:35:00Z"
Was this page helpful?